Bulk close cases
curl --request POST \
--url https://api.wirespeed.co/v1/cases/bulk-close \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseIds": [
"<string>"
],
"filter": {
"filter": "<string>",
"search": "<string>",
"days": 123,
"startDate": "<string>",
"endDate": "<string>",
"statuses": [],
"onlyWasEscalated": true,
"onlyWasContained": true,
"onlyWasMobile": true,
"onlyWasMonitored": true,
"onlyChatOps": true,
"createdAt": {
"gt": "<string>",
"gte": "<string>",
"lt": "<string>",
"lte": "<string>"
},
"groupIds": [
"<string>"
]
},
"excludedCaseIds": [
"<string>"
]
}
'import requests
url = "https://api.wirespeed.co/v1/cases/bulk-close"
payload = {
"caseIds": ["<string>"],
"filter": {
"filter": "<string>",
"search": "<string>",
"days": 123,
"startDate": "<string>",
"endDate": "<string>",
"statuses": [],
"onlyWasEscalated": True,
"onlyWasContained": True,
"onlyWasMobile": True,
"onlyWasMonitored": True,
"onlyChatOps": True,
"createdAt": {
"gt": "<string>",
"gte": "<string>",
"lt": "<string>",
"lte": "<string>"
},
"groupIds": ["<string>"]
},
"excludedCaseIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
caseIds: ['<string>'],
filter: {
filter: '<string>',
search: '<string>',
days: 123,
startDate: '<string>',
endDate: '<string>',
statuses: [],
onlyWasEscalated: true,
onlyWasContained: true,
onlyWasMobile: true,
onlyWasMonitored: true,
onlyChatOps: true,
createdAt: {gt: '<string>', gte: '<string>', lt: '<string>', lte: '<string>'},
groupIds: ['<string>']
},
excludedCaseIds: ['<string>']
})
};
fetch('https://api.wirespeed.co/v1/cases/bulk-close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "<string>",
"totalCount": 123
}{
"message": "<string>",
"statusCode": 123
}Cases
Bulk close cases
POST
/
v1
/
cases
/
bulk-close
Bulk close cases
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Verdict to apply to all cases
Available options:
MALICIOUS, SUSPICIOUS, BENIGN Explicit list of case IDs to close
Filter to match cases (alternative to caseIds)
Show child attributes
Show child attributes
Case IDs to exclude when using filter mode
⌘I

